Subject: RE: [speechsc] SPEAK error and effect on queue

From: Dan Burnett <[email-masked]>
Date: Fri, 8 Sep 2006 11:24:37 -0700 (PDT)

In draft -11 I have
 - Added the following text to section 8.6, paragraph
5: "If the current SPEAK fails, all SPEAK methods in
the pending queue are cancelled and each generates a
SPEAK-COMPLETE event with a Completion-Cause of
"cancelled"."
 - Added a new SPEAK Completion-Cause of "007
cancelled".
 - Added to RECOGNIZE Completion-Cause table entry for
"011 cancelled" the text: ", or a prior RECOGNIZE
failed while this one was still in the queue."

-- dan

--- "Saravanan Shanmugham (sarvi)" <[email-masked]>
wrote:

> makes sense. I agree this should be done.
>  
> Sarvi
> 
> 
> ________________________________
> 
> 	From: Dave Burke [mailto:[email-masked]] 
> 	Sent: Sunday, June 18, 2006 5:38 AM
> 	To: [email-masked]
> 	Subject: [speechsc] SPEAK error and effect on queue
> 	
> 	
> 	The spec doesn't appear to specify what happens if
> an
> IN-PROGRESS SPEAK request terminates with an error
> and there are N
> requests behind it in the queue. With the speech
> recogniser resource,
> and assuming Cancel-If-Queue: false,  the remaining
> N requests terminate
> with status "011 cancelled". I'm pretty sure the
> intent is for the
> speech synthesiser resource to do the same.  If so,
> this suggests a
> clarification in para 5 in section 8.6 and a new
> Completion-Cause of
> "007 cancelled". 
> 	 
> 	Dave
> 
> > _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc
> 

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc